<?php

/*
  Created on : Mayo 26, 2019, 01:14:34 PM
  Author     : Gabriel Hernandez Gonzalez
 */
 	if(!isset($_SESSION)) session_start();
	
	require_once "../core/core_classes.php";
	require_once "../config.php";
	$user = json_decode($_SESSION['user']);

	switch (filter_input(INPUT_POST, 'tipoOperacion')) {

			
		case 'actualizar':

			$pNidEmpresa = $user->nidEmpresa;
			$pNid = filter_input(INPUT_POST, 'pNid');
			$pNidCliente = filter_input(INPUT_POST, 'pNidCliente');
			$pCosto = filter_input(INPUT_POST, 'pCosto');
			
			
			// get settings
			$stmt = $conn->prepare("call clientes_material_actualizar($pNidEmpresa,$pNidCliente,$pNid,$pCosto)");
			$stmt->execute();			
						
			$row = $stmt->fetch(PDO::FETCH_ASSOC);
			$transaccion = $row['Transaccion'];
			$mensaje = $row['Mensaje'];
			
			$response = new root_response;
			$response->transaccion = $transaccion;
			$response->mensaje = $mensaje;
			
			echo json_encode($response);
			
			break;
			
		case 'eliminar':

			$pNidEmpresa = $user->nidEmpresa;
			$pNid = filter_input(INPUT_POST, 'pNid');
			$pNidCliente = filter_input(INPUT_POST, 'pNidCliente');
			$pEstado = filter_input(INPUT_POST, 'pEstado');
			
			// get settings
			$stmt = $conn->prepare("call clientes_material_estado($pNidEmpresa,$pNidCliente,$pNid,$pEstado)");
			$stmt->execute();			
						
			$row = $stmt->fetch(PDO::FETCH_ASSOC);
			$transaccion = $row['Transaccion'];
			$mensaje = $row['Mensaje'];
			
			$response = new root_response;
			$response->transaccion = $transaccion;
			$response->mensaje = $mensaje;
			
			echo json_encode($response);
			
			break;			
		case 'consultaClientes':

			$pNidEmpresa = $user->nidEmpresa;
		
			// get settings
			$stmt = $conn->prepare("call clientes_consulta($pNidEmpresa)");
			$stmt->execute();	

			$response = new root_response;
			while($row = $stmt->fetch(PDO::FETCH_ASSOC)) 
			{ 
				$respuesta = new core_cliente();
				$respuesta->nid = $row["Id"];
				$respuesta->nombre = $row["Nombre"];
				$respuesta->patente = $row["Patente"];
			
				$response->datos[] = $respuesta;				
			};
						
			$response->transaccion = "1";
			$response->mensaje = "Ok";
			
			echo json_encode($response);
			
			break;
			
		case 'consultaXestado':

			$pNidEmpresa = $user->nidEmpresa;
			$pNidCliente = filter_input(INPUT_POST, 'pNidCliente');
			
						// get settings
			$stmt = $conn->prepare("call clientes_material_revisar($pNidEmpresa,$pNidCliente)");
			$stmt->execute();
					
			// get settings
			$stmt = $conn->prepare("call clientes_material_consultar($pNidEmpresa,$pNidCliente)");
			$stmt->execute();	

			$response = new root_response;
			while($row = $stmt->fetch(PDO::FETCH_ASSOC)) 
			{ 
				$respuesta = new core_cliente_material();
				$respuesta->nid = $row["nid"];
				$respuesta->material = $row["DescMaterial"];
				$respuesta->unidad = $row["DescUnidad"];
				$respuesta->costo = $row["costo"];
			
				$response->datos[] = $respuesta;				
			};
						
			$response->transaccion = "1";
			$response->mensaje = "Ok";
			
			echo json_encode($response);
			
			break;				
			
		default:
			echo json_encode(system_get_message(SISTEMA_PARAMETRO_NO_RECONOCIDO));
			break;
	}
        
?>
